The latest Xubuntu LTS is what I use on my oldest or lowest specification laptop(s). It just works.

Since Ubuntu 17.04 I too have installed the vanilla-gnome-desktop meta-package after installing...